Admins: Get All (Index)
Note:
- search_query param will search from admin’s emails, name and username
- if app admin is calling this api using his token, they cannot see the account or master admins
- if account or master admin is calling this api, they will see all the admins
GET /apps/{app_id}/adminsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Query Parameters
Section titled “Query Parameters”| Name | Type | Required | Description |
|---|---|---|---|
search_query |
string | No | String value through which you can search specific admins |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Content-Type |
string | No | application/json |
Authorization |
string | No | {my_admin_api_token} |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/admins \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-Type: application/json' \ --data '{ "search_query": "Rojer"}'Responses
Section titled “Responses”200
{ "data": [ { "id": "5ae07b2a4753364695030000", "access": "", "actions": { "edit": false, "delete": false }, "avatar_url": "https://pulsate-media-bucket-production.s3.eu-west-1.amazonaws.com/default-user-avatar.png", "email": "muzzamil+11@pulsatehq.com", "job_title": "", "managed_app": { "name": null, "id": "" }, "name": "John Smithhh", "role": "master_admin", "username": "admin", "updated_at": "2025-03-20T15:38:54Z", "created_at": "2018-04-25T13:03:43Z" } ], "metadata": { "page": 1, "per_page": 1000, "total_pages": 1, "data_count": 17 }}
